Subject: Re: mingw32 and winsocks
From: Benjamin Riefenstahl <[email-masked]>
To: [email-masked]
Date: Thu, 14 Oct 1999 18:46:19 +0200

Hi Marcel,

Marcel Moj¾i¹ wrote:
> I have a question about using winsocks with mingw32. I compiled libpq
> frontend library using mingw32 (gcc 2.95). There was no problem with the
> [...]
> #include <stdio.h>
> #include <windows.h>
> 
> void main() {
>         if (gethostbyname("www.microsoft.com") == NULL) {
>                 printf("failed...");
>         }
> }

I think you are missing a call to WSAStartup() here to initialize
WinSock.

so long, benny
======================================
Benjamin Riefenstahl ([email-masked])
Crocodial Communications GmbH
Ruhrstr. 61, D-22761 Hamburg, Germany

--
Want to unsubscribe from this list?
Send a message to [email-masked]